Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeentitysetnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeentitysetnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for an Entity Node is always null and "setNodeValue" should have no effect.

Retrieve the first Entity declaration in the "DOCTYPE" section of the XML file, call setNodeValue with a non-null value and check the string returned by the "getNodeValue()" method. It should be equal to null.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-527DCFF2

Definition at line 47 of file nodeentitysetnodevalue.java.

## Constructor & Destructor Documentation

nodeentitysetnodevalue::nodeentitysetnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file nodeentitysetnodevalue.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String nodeentitysetnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 70 of file nodeentitysetnodevalue.java.
    00070                                 {
    00071       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeentitysetnodevalue";
    00072    }

void nodeentitysetnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 73 of file nodeentitysetnodevalue.java. References DOMTestCase::doMain().
    00073                                           {
    00074         DOMTestCase.doMain(nodeentitysetnodevalue.class,args);
    00075    }

void nodeentitysetnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file nodeentitysetnodevalue.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       DocumentType docType;
    00058       NamedNodeMap testName;
    00059       Node entityNode;
    00060       String entityValue;
    00061       doc = load("staff");
    00062       docType = doc.getDoctype();
    00063       testName = docType.getEntities();
    00064       entityNode = testName.getNamedItem("ent1");
    00065       entityNode.setNodeValue("This should have no effect");
    00066       entityValue = entityNode.getNodeValue();
    00067       assertNull("nodeValueNull",entityValue);
    00068
    00069    }

The documentation for this class was generated from the following file:

- nodeentitysetnodevalue.java